| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Seis::Blocks::HGeom Class Reference
Seis

`#include <seisblocks.h>`

Inheritance diagram for Seis::Blocks::HGeom:
[legend]

## Public Member Functions
| HGeom (const char *nm, const ZDomain::Def &)
int | crl4Idx (int) const
void | getMapInfo (const IOPar &)
int | idx4Crl (int) const
int | idx4Inl (int) const
int | idx4Z (float) const
int | inl4Idx (int) const
bool | isCompatibleWith (const Survey::Geometry &) const
void | putMapInfo (IOPar &) const
float | z4Idx (int) const
Public Member Functions inherited from Survey::Geometry3D
| Geometry3D (const char *nm, const ZDomain::Def &zd)
Geometry3D * | as3D () override
float | averageTrcDist () const override
const Pos::IdxPair2Coord & | binID2Coord () const
RelationType | compare (const Geometry &, bool usezrg) const override
float | crlDistance () const
StepInterval< int > | crlRange () const
int | crlStep () const
const char * | getName () const override
bool | includes (int line, int tracenr) const override
float | inlDistance () const
StepInterval< int > | inlRange () const
int | inlStep () const
bool | is2D () const override
bool | isClockWise () const
bool | isRightHandSystem () const
TrcKey | nearestTrace (const Coord &, float *distance) const override
Coord3 | oneStepTranslation (const Coord3 &planenormal) const
void | setGeomData (const Pos::IdxPair2Coord &, const TrcKeyZSampling &, float zscl)
void | setName (const char *nm)
void | setZDomain (const ZDomain::Def &def)
void | snap (BinID &, const BinID &dir=BinID(0, 0)) const
| dir = 0 : auto; -1 round downward, 1 round upward);
void | snapStep (BinID &, const BinID &dir=BinID(0, 0)) const
| see snap() for direction
void | snapZ (float &, int direction=0) const
| see snap() for direction
Coord | toCoord (int line, int tracenr) const override
Coord | transform (const BinID &) const
BinID | transform (const Coord &) const
const ZDomain::Def & | zDomain () const
StepInterval< float > | zRange () const
float | zScale () const
float | zStep () const
Public Member Functions inherited from Survey::Geometry
virtual Geometry2D * | as2D ()
const Geometry2D * | as2D () const
const Geometry3D * | as3D () const
OD::GeomSystem | geomSystem () const
Pos::GeomID | getID () const
OD::GeomSystem | getSurvID () const
virtual TrcKey | getTrace (const Coord &, float maxdist) const
bool | includes (const BinID &b) const
bool | includes (const TrcKey &) const
virtual bool | includes (Pos::LineID, Pos::TraceID) const =0
const TrcKeyZSampling & | sampling () const
void | setID (const Pos::GeomID &id)
Coord | toCoord (const BinID &b) const
virtual Coord | toCoord (Pos::LineID, Pos::TraceID) const =0
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~HGeom ()
Protected Member Functions inherited from Survey::Geometry3D
| ~Geometry3D ()
Protected Member Functions inherited from Survey::Geometry
| Geometry ()
virtual | ~Geometry ()
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Additional Inherited Members
Public Types inherited from Survey::Geometry
enum | RelationType { UnRelated =0 , Related , SubSet , SuperSet , Identical }
Static Public Member Functions inherited from Survey::Geometry3D
static Geometry3D & | current ()
static const Geometry3D & | instance ()
Static Public Member Functions inherited from Survey::Geometry
static const Geometry & | default3D ()
static bool | exists (const TrcKey &)
static Coord | toCoord (const TrcKey &)
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Protected Attributes inherited from Survey::Geometry3D
Pos::IdxPair2Coord | b2c_
BufferString | name_
ZDomain::Def | zdomain_
float | zscale_ = 0.f
Protected Attributes inherited from Survey::Geometry
TrcKeyZSampling | sampling_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ HGeom()

Seis::Blocks::HGeom::HGeom | ( | const char * | nm,
|  | const ZDomain::Def & | )

## ◆ ~HGeom()

Seis::Blocks::HGeom::~HGeom | ( |  | ) |
| protected

## Member Function Documentation

## ◆ crl4Idx()

int Seis::Blocks::HGeom::crl4Idx | ( | int | idx | ) | const
| inline

## ◆ getMapInfo()

void Seis::Blocks::HGeom::getMapInfo | ( | const IOPar & |  | ) |

## ◆ idx4Crl()

int Seis::Blocks::HGeom::idx4Crl | ( | int | crl | ) | const
| inline

## ◆ idx4Inl()

int Seis::Blocks::HGeom::idx4Inl | ( | int | inl | ) | const
| inline

## ◆ idx4Z()

int Seis::Blocks::HGeom::idx4Z | ( | float | z | ) | const
| inline

## ◆ inl4Idx()

int Seis::Blocks::HGeom::inl4Idx | ( | int | idx | ) | const
| inline

## ◆ isCompatibleWith()

bool Seis::Blocks::HGeom::isCompatibleWith | ( | const Survey::Geometry & |  | ) | const

## ◆ putMapInfo()

void Seis::Blocks::HGeom::putMapInfo | ( | IOPar & |  | ) | const

## ◆ z4Idx()

float Seis::Blocks::HGeom::z4Idx | ( | int | idx | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025